Bug 442874 - Endless Drag&Drop
Endless Drag&Drop
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-17 06:38 EDT by Zdenek Kabelac
Modified: 2008-10-24 11:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-24 11:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2008-04-17 06:38:48 EDT
Description of problem:

when I've been moving one item in bookmark menus, the firefox taken the mouse
cursor and had not returned it back after the mouse button was released.

Firefox & Xorg were taking a lot of CPU in this moment and I had to kill firefox
from console to end this.

Version-Release number of selected component (if applicable):

How reproducible:
Trying to edit bookmarks - unfortunately for now I do not know exact steps to
reproduce this endless looping in Drag&Drop.
I'll try to extend this report if I'll have more details.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Here is backtrace of the running firefox taken by atteched gdb to the firefox

0x0000003a6ccdc604 in __libc_writev (fd=<value optimized out>, 
    vector=<value optimized out>, count=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/writev.c:46
46	  bytes_written = INLINE_SYSCALL (writev, 3, fd, CHECK_N (vector, count), count);
Missing separate debuginfos, use: debuginfo-install GConf2.x86_64 ORBit2.x86_64
acl.x86_64 alsa-lib.x86_64 atk.x86_64 attr.x86_64 audiofile.x86_64 avahi.x86_64
bug-buddy.x86_64 cairo.x86_64 dbus-glib.x86_64 dbus.x86_64 e2fsprogs.x86_64
elfutils.x86_64 esound.x86_64 expat.x86_64 fontconfig.x86_64 freetype.x86_64
gail.x86_64 gamin.x86_64 gcc.x86_64 glib2.x86_64 gnome-keyring.x86_64
gnome-vfs2.x86_64 gtk2-engines.x86_64 gtk2.x86_64 gvfs.x86_64 hunspell.x86_64
keyutils.x86_64 krb5.x86_64 lcms.x86_64 libSM.x86_64 libX11.x86_64
libXScrnSaver.x86_64 libXau.x86_64 libXcomposite.x86_64 libXcursor.x86_64
libXdmcp.x86_64 libXext.x86_64 libXfixes.x86_64 libXft.x86_64 libXi.x86_64
libXinerama.x86_64 libXrandr.x86_64 libXrender.x86_64 libXt.x86_64
libart_lgpl.x86_64 libbeagle.x86_64 libbonobo.x86_64 libbonoboui.x86_64
libcap.x86_64 libgnome.x86_64 libgnomecanvas.x86_64 libgnomeui.x86_64
libjpeg.x86_64 libpng.x86_64 libselinux.x86_64 libxcb.x86_64 libxml2.x86_64
nspr.x86_64 nss.x86_64 openssl.x86_64 pango.x86_64 pixman.x86_64 popt.x86_64
sqlite.x86_64 startup-notification.x86_64 zlib.x86_64
(gdb) bt
#0  0x0000003a6ccdc604 in __libc_writev (fd=<value optimized out>, 
    vector=<value optimized out>, count=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/writev.c:46
#1  0x0000003a6fc08b51 in ?? () from /usr/lib64/libxcb.so.1
#2  0x0000003a6fc09139 in ?? () from /usr/lib64/libxcb.so.1
#3  0x0000003a6fc09249 in ?? () from /usr/lib64/libxcb.so.1
#4  0x0000003a6fc0a22b in xcb_wait_for_reply () from /usr/lib64/libxcb.so.1
#5  0x0000003a6f44d2de in _XReply () from /usr/lib64/libX11.so.6
#6  0x0000003a6f42a0f6 in XGetWindowProperty () from /usr/lib64/libX11.so.6
#7  0x0000003a774726b8 in gdk_window_get_frame_extents ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#8  0x0000003a77472452 in gdk_window_get_root_origin ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#9  0x00007f2aa6604047 in nsWindow::WidgetToScreen (
    this=<value optimized out>, aOldRect=@0x7fffaf1e7b90, 
    aNewRect=@0x7fffaf1e7b80) at nsWindow.cpp:1394
#10 0x00007f2aa6065750 in nsLayoutUtils::TranslateWidgetToView (
    aPresContext=0x2ace120, aWidget=0x2bbe460, aPt=
      {x = -1356956640, y = 32767}, aView=<value optimized out>)
    at nsLayoutUtils.cpp:711
#11 0x00007f2aa6068cb0 in nsLayoutUtils::GetEventCoordinatesRelativeTo (
    aEvent=0x7fffaf1e9760, aFrame=0x653ff20) at nsLayoutUtils.cpp:647
#12 0x00007f2aa61fa905 in nsDOMUIEvent::GetLayerPoint (this=0x5769338)
    at nsDOMUIEvent.cpp:328
#13 0x00007f2aa61fa944 in nsDOMUIEvent::GetLayerY (this=0x1, 
    aLayerY=0x7fffaf1e7fa0) at nsDOMUIEvent.cpp:346
#14 0x00007f2aa66ddac4 in NS_InvokeByIndex_P (that=0x5769340, methodIndex=5, 
    paramCount=1, params=0xffffffffffffffff) at xptcinvoke_x86_64_linux.cpp:208
#15 0x00007f2aa5f149ff in XPCWrappedNative::CallMethod (ccx=@0x7fffaf1e8370, 
    mode=XPCWrappedNative::CALL_SETTER) at xpcwrappednative.cpp:2369
#16 0x00007f2aa5f1d00e in XPC_WN_GetterSetter (cx=0x23b5b50, 
    obj=<value optimized out>, argc=0, argv=0x63e5188, vp=0x7fffaf1e8578)
    at xpcprivate.h:2256
#17 0x00007f2aa6f60f17 in js_Invoke (cx=0x23b5b50, argc=0, vp=0x63e5178, 
    flags=2050) at jsinterp.c:1287
#18 0x00007f2aa6f61159 in js_InternalInvoke (cx=0x23b5b50, obj=0x2f61380, 
    fval=8872128, flags=2, argc=0, argv=<value optimized out>, 
    rval=0x7fffaf1e8900) at jsinterp.c:1359
#19 0x00007f2aa6f6125f in js_InternalGetOrSet (cx=0x23b5b50, obj=0x2f61380, 
    id=<value optimized out>, fval=8872128, mode=<value optimized out>, 
    argc=0, argv=0x0, rval=0x7fffaf1e8900) at jsinterp.c:1417
#20 0x00007f2aa6f67381 in js_NativeGet (cx=0x23b5b50, obj=0x2f61380, 
    pobj=0x3cef5c0, sprop=0x7633ff0, vp=0x7fffaf1e8900) at jsobj.c:3543
#21 0x00007f2aa6f5c891 in js_Interpret (cx=0x23b5b50) at jsinterp.c:4157
#22 0x00007f2aa6f60f7f in js_Invoke (cx=0x23b5b50, argc=1, vp=0x63e4d80, 
    flags=2) at jsinterp.c:1303
#23 0x00007f2aa6f61159 in js_InternalInvoke (cx=0x23b5b50, obj=0x3511e00, 
    fval=44432352, flags=2, argc=1, argv=<value optimized out>, 
    rval=0x7fffaf1e8c38) at jsinterp.c:1359
#24 0x00007f2aa6f2cc1a in JS_CallFunctionValue (cx=0x3, obj=0x7fffaf1e7830, 
    fval=1, argc=0, argv=0x0, rval=<value optimized out>) at jsapi.c:5036
#25 0x00007f2aa62d35af in nsJSContext::CallEventHandler (this=0x23b5af0, 
    aTarget=0x3514a20, aScope=0x23be340, aHandler=0x2a5fbe0, aargv=0x57279d0, 
    arv=0x7fffaf1e8e30) at nsJSEnvironment.cpp:1962
#26 0x00007f2aa630c2ac in nsJSEventListener::HandleEvent (this=0x1c75230, 
    aEvent=0x5769350) at nsJSEventListener.cpp:248
#27 0x00007f2aa62ae5f1 in nsXBLPrototypeHandler::ExecuteHandler (
    this=<value optimized out>, aTarget=0x3514a20, aEvent=0x5769350)
    at nsXBLPrototypeHandler.cpp:344
#28 0x00007f2aa62aad9c in nsXBLEventHandler::HandleEvent (this=0x1d52fd0, 
    aEvent=0x5769350) at nsXBLEventHandler.cpp:86
#29 0x00007f2aa61e91cc in nsEventListenerManager::HandleEventSubType (
    this=0x3516010, aListenerStruct=<value optimized out>, 
    aListener=0x1d52fd0, aDOMEvent=0x5769350, aCurrentTarget=0x3514a20, 
    aPhaseFlags=<value optimized out>) at nsEventListenerManager.cpp:1080
#30 0x00007f2aa61e97b2 in nsEventListenerManager::HandleEvent (this=0x3516010, 
    aPresContext=0x2ace120, aEvent=0x7fffaf1e9760, aDOMEvent=0x7fffaf1e9440, 
    aCurrentTarget=0x3514a20, aFlags=2, aEventStatus=0x7fffaf1e9448)
    at nsEventListenerManager.cpp:1184
#31 0x00007f2aa62023c2 in nsEventTargetChainItem::HandleEvent (this=0x6e567b0, 
    aVisitor=@0x7fffaf1e9430, aFlags=2) at nsEventDispatcher.cpp:206
#32 0x00007f2aa6202563 in nsEventTargetChainItem::HandleEventTargetChain (
    this=0x746a040, aVisitor=@0x7fffaf1e9430, aFlags=6, 
    aCallback=0x7fffaf1e94c0) at nsEventDispatcher.cpp:287
#33 0x00007f2aa620286f in nsEventDispatcher::Dispatch (
    aTarget=<value optimized out>, aPresContext=<value optimized out>, 
    aEvent=0x7fffaf1e9760, aDOMEvent=0x0, aEventStatus=0x7fffaf1e963c, 
    aCallback=0x7fffaf1e94c0) at nsEventDispatcher.cpp:479
#34 0x00007f2aa606e5d7 in PresShell::HandleEventInternal (this=0x2acf940, 
    aEvent=0x7fffaf1e9760, aView=0x35171c0, aStatus=0x7fffaf1e963c)
    at nsPresShell.cpp:5945
#35 0x00007f2aa606ede7 in PresShell::HandlePositionedEvent (this=0x2acf940, 
    aView=0x35171c0, aTargetFrame=<value optimized out>, 
    aEvent=0x7fffaf1e9760, aEventStatus=0x7fffaf1e963c) at nsPresShell.cpp:5833
#36 0x00007f2aa606f22c in PresShell::HandleEvent (this=0x2acf940, 
    aView=0x35171c0, aEvent=0x7fffaf1e9760, aEventStatus=0x7fffaf1e963c)
    at nsPresShell.cpp:5693
#37 0x00007f2aa62caa0a in nsViewManager::HandleEvent (
    this=<value optimized out>, aView=0x35171c0, aPoint=<value optimized out>, 
    aEvent=0x7fffaf1e9760, aCaptured=<value optimized out>)
    at nsViewManager.cpp:1388
#38 0x00007f2aa62cc858 in nsViewManager::DispatchEvent (this=0x2aceac0, 
    aEvent=0x7fffaf1e9760, aStatus=0x7fffaf1e971c) at nsViewManager.cpp:1343
#39 0x00007f2aa62c7759 in HandleEvent (aEvent=0x7fffaf1e9760) at nsView.cpp:168
#40 0x00007f2aa6607ce5 in nsCommonWidget::DispatchEvent (this=0x2bbe460, 
    aEvent=0x7fffaf1e9760, aStatus=@0x7fffaf1e9810) at nsCommonWidget.cpp:158
#41 0x00007f2aa66064c2 in nsWindow::OnDragMotionEvent (this=0x2bbe460, 
    aWidget=0x76d52a0, aDragContext=0x7755190, aX=210, aY=781, 
    aTime=102344031, aData=0x2bbe460) at nsWindow.cpp:2751
#42 0x00007f2aa6606646 in nsWindow::FireDragMotionTimer (this=0x2bbe460)
    at nsWindow.cpp:5049
#43 0x00007f2aa6606664 in nsWindow::DragMotionTimerCallback (
    aClosure=<value optimized out>) at nsWindow.cpp:5073
#44 0x00007f2aa53bbc5b in ?? () from /lib64/libglib-2.0.so.0
#45 0x00007f2aa53bb49b in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#46 0x00007f2aa53bec7d in ?? () from /lib64/libglib-2.0.so.0
#47 0x00007f2aa53bee3b in g_main_context_iteration ()
   from /lib64/libglib-2.0.so.0
#48 0x00007f2aa661b979 in nsBaseAppShell::DoProcessNextNativeEvent (this=0x3, 
    mayWait=-1356957648) at nsBaseAppShell.cpp:151
#49 0x00007f2aa661bac7 in nsBaseAppShell::OnProcessNextEvent (this=0xf259c0, 
    thr=0x6ac5e0, mayWait=1, recursionDepth=<value optimized out>)
    at nsBaseAppShell.cpp:296
#50 0x00007f2aa66d253b in nsThread::ProcessNextEvent (this=0x6ac5e0, 
    mayWait=1, result=0x7fffaf1e9b4c) at nsThread.cpp:497
#51 0x00007f2aa66a3de6 in NS_ProcessNextEvent_P (thread=0x3, mayWait=1)
    at nsThreadUtils.cpp:227
#52 0x00007f2aa661bbe5 in nsBaseAppShell::Run (this=0xf259c0)
    at nsBaseAppShell.cpp:170
#53 0x00007f2aa64ec855 in nsAppStartup::Run (this=0xf535d0)
    at nsAppStartup.cpp:181
#54 0x00007f2aa5ee8c4b in XRE_main (argc=<value optimized out>, 
    argv=<value optimized out>, aAppData=<value optimized out>)
    at nsAppRunner.cpp:3154
#55 0x0000000000401665 in main (argc=1, argv=0x7fffaf1ed598)
    at nsXULStub.cpp:348
Comment 1 Bug Zapper 2008-05-14 05:34:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Martin Stransky 2008-10-24 11:02:27 EDT
I can't reproduce it. Hopefully it's fixed now...

Note You need to log in before you can comment on or make changes to this bug.